%define upstream_name    Math-Libm
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 26

Summary:    Perl extension for the C math library, libm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

# Filters (not)shared c libs
%{?perl_default_filter}

%description
This module is a translation of the C _math.h_ file. It exports the
following selected constants and functions.

EXPORT
    None by default.

Exportable constants
      M_1_PI
      M_2_PI
      M_2_SQRTPI
      M_E
      M_LN10
      M_LN2
      M_LOG10E
      M_LOG2E
      M_PI
      M_PI_2
      M_PI_4
      M_SQRT1_2
      M_SQRT2

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Tue Nov 28 2023 tv <tv> 1.0.0-26.mga10
+ Revision: 2010473
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.0.0-25.mga9
+ Revision: 1862108
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.0.0-24.mga9
+ Revision: 1795902
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.0.0-23.mga9
+ Revision: 1726894
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.0.0-22.mga8
+ Revision: 1594920
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.0.0-21.mga8
+ Revision: 1529265
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 1.0.0-20.mga8
+ Revision: 1433256
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-19.mga7
+ Revision: 1293433
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.0.0-18.mga7
+ Revision: 1249530
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.0.0-17.mga7
+ Revision: 1165358
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.0.0-16.mga7
+ Revision: 1149078
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.0.0-15.mga7
+ Revision: 1126567
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-14.mga6
+ Revision: 1029663
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.0.0-13.mga6
+ Revision: 957709
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.0.0-12.mga6
+ Revision: 844991
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.0.0-11.mga6
+ Revision: 840827
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-10.mga5
+ Revision: 750668
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.0.0-9.mga5
+ Revision: 735655
- add exclude

* Sat Sep 27 2014 tv <tv> 1.0.0-8.mga5
+ Revision: 727613
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-7.mga5
+ Revision: 685365
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.0.0-6.mga5
+ Revision: 631447
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-5.mga4
+ Revision: 524924
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.0.0-4.mga4
+ Revision: 431624
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 369608
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0.0-2.mga3
+ Revision: 250945
- rebuild for perl 5.16

* Sat Nov 19 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 169459
- imported package perl-Math-Libm

